:root{
    --blanco: #ffffff;
    --oscuro: #212121;
    --primario: #ffc107;
    --secundario: #0097a7;
    --gris: #757575;
    --grisClaro: #dfe9f3;
}

html{
    font-size: 62.5%;
    box-sizing: border-box;
    scroll-snap-type: y mandatory;
}
*, *:before, *:after {
    box-sizing: inherit;
}
.sombra{
    box-shadow: 0px 5px 15px 0px rgba(112, 112, 112, 0.48);
    background-color: var(--blanco);
    padding: 2rem;
    border-radius: 1rem;

}
body{
    font-size: 16px;
    font-family: "Roboto Slab", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    background-image: linear-gradient(to top, var(--grisClaro) 0%, var(--blanco) 100%);
}
h1{
    font-size: 3.8rem;
}

h2{
    font-size: 2.8rem;
}

h3{
    font-size: 1.8rem;
}
h1,h2,h3{
    text-align: center;
}
.titulo span{
    font-size: 2rem;
}
.contenedor{
    max-width: 120rem;
    margin: 0 auto;
}

.boton{
    background-color: var(--secundario);
    color: var(--blanco);
    padding: 1rem 3rem;
    margin-top: 1rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 700;
    border-radius: .5rem;
    width: 90%;
    text-align: center;
    border: none;    
}

.boton:hover{
    cursor: pointer;
}

.w-100{
    width:100%
}
.flex{
    display: flex;
}
.alinear-derecha{
    justify-content: flex-end;
}

@media (min-width: 768px) {
  .boton{
    width: auto;
  }
}

.nav-background{
    background-color: var(--secundario);
}
.navegacion-principal{
    display: flex;
    flex-direction: column;
}

@media (min-width: 768px) {
    .navegacion-principal{
        justify-content: space-between;
        flex-direction: row;
    }
}

.navegacion-principal a{
    color: var(--blanco);
    text-decoration: none;
    font-size: 2rem;
    font-weight: 700;
    padding: 1rem;
}

.navegacion-principal a:hover{
    background-color: var(--primario);
    color: var(--oscuro);
}

.hero{
    background-image: url(../img/hero.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 450px;
    position: relative;
    margin-bottom: 2rem;
}
.contenido-hero{
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 70%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.contenido-hero h2, .contenido-hero p{
    color: var(--blanco);
    justify-items: flex-end;
}

@media (min-width: 768px) {
    .servicios{
        display: grid;
        grid-template-columns: repeat(3,1fr);
    }
}

.servicios, .navegacion-principal, .formulario{
    scroll-snap-align: center;
    scroll-snap-stop: always;
}

.servicio{
display: flex;
flex-direction: column;
align-items: center;
}
.servicio p{
    line-height: 2;
    text-align: center;
}

.servicios h3{
    color: var(--secundario);
    font-weight: normal;
}
.servicio .iconos{
    height: 15rem;
    width: 15rem;
    background-color: var(--primario);
    border-radius: 50%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
.formulario{
    background-color: var(--gris);
    width: min(60rem, 100%);
    margin: 0 auto;
    padding: 2rem;
    border-radius: 1rem;
}
.formulario fieldset{
    border: none;
}
.formulario legend{
    width: 100%;
    text-align: center;
    font-weight: 700;
    margin-bottom: 2rem;
    color: var(--primario);
}
@media (min-width: 768px) {
    .contenedor-campos{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto auto 20rem;
        column-gap: 1rem;
    }
    .campo:nth-child(3), .campo:nth-child(4){
        grid-column: 1 / 3;
    }
}
.campo{
    margin-bottom: 1re,;
}
.campo label{
    color: var(--blanco);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;

}
.campo input{
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;

}
.enviar .boton{
    width: 100%;
}
.input-text{
    width: 100%;
}
.footer{
    text-align: center;
}